extends Control


func _on_new_game_button_pressed() -> void:
	Globals.reset_for_new_game()
	if Globals.skip_cutscenes:
		SceneChanger.change_scene_to(Utils.GAME_SCENES.GAME)
		SignalBus.start_game_or_respawn.emit()  # for music
	else:
		SceneChanger.change_scene_to(Utils.GAME_SCENES.INTRO_CUTSCENE)
		SignalBus.start_game_or_respawn.emit()  # for music

func _on_main_menu_button_pressed() -> void:
	SceneChanger.change_scene_to(Utils.GAME_SCENES.MAIN_MENU)
	SignalBus.returned_to_main_menu.emit()  # for music


func _on_exit_game_button_pressed() -> void:
	get_tree().quit()

func _on_credits_button_pressed() -> void:
	GUI.show_submenu(self, Utils.CREDITS)
